Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaIdentityConstraint

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaIdentityConstraint

Direct Known Subclasses:
  XmlSchemaKey, XmlSchemaKeyref, XmlSchemaUnique

    public class XmlSchemaIdentityConstraint

extends XmlSchemaAnnotated

Class for the identity constraints: key, keyref, and unique elements.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`XmlSchemaIdentityConstraint()` Creates new XmlSchemaIdentityConstraint

Method Summary
`XmlSchemaObjectCollection` | `getFields()`
`java.lang.String` | `getName()`
`XmlSchemaXPath` | `getSelector()`
`void` | `setName(java.lang.String name)`
`void` | `setSelector(XmlSchemaXPath selector)`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaIdentityConstraint

    public XmlSchemaIdentityConstraint()

  Creates new XmlSchemaIdentityConstraint

Method Detail

### getFields

    public XmlSchemaObjectCollection getFields()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getSelector

    public XmlSchemaXPath getSelector()

### setSelector

    public void setSelector(XmlSchemaXPath selector)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 The Apache Software Foundation. All Rights Reserved.